Subject: bug#60741: 29.0.60; 'M-c' shadowed in the minibuffer

From: Jean Louis <[email-masked]>
Date: Thu, 19 Jan 2023 08:34:05 +0300

* Drew Adams <[email-masked]> [2023-01-18 21:48]:
> > > 'M-c' is bound globally to 'capitalize-word', but this keybinding
> > > is shadowed in the minibuffer, thus making it impossible to
> > > capitalize words.
> 
> Is this something new in Emacs 29?  I don't see it
> in previous versions (I don't have 29).  What is
> `M-c' bound to now in the minibuffer keymaps?
> 
> Why should we lose this longstanding, useful key
> binding?  Users should be able to use most normal
> editing keys in the minibuffer - it's first and
> foremost an editing buffer.

I use that key all the time in the minibuffer, and can't without
it. I give you the practical example:

- PDF book in Dired is called:
  21252030 agenda for sustainable development web.pdf

- I click and wish to index the book, so initial prompt for the title
  will be:
  21252030 agenda for sustainable development web.pdf

- I delete 21252030 with M-d and use M-c to get following:
  Agenda For Sustainable Development

- then I press RET to record information

Without M-c in minibuffer I would need to re-assign key binding.

But it works, I did not know something changed.

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/